import type { CreateSchemaOperationOptions, DidOperationOptions } from './ledger';
import { AgentContext } from '@credo-ts/core';
import { PolygonLedgerService } from './ledger';
export declare class PolygonApi {
    private agentContext;
    private ledgerService;
    constructor(agentContext: AgentContext, ledgerService: PolygonLedgerService);
    createSchema({ did, schemaName, schema }: {
        did: string;
        schemaName: string;
        schema: object;
    }): Promise<{
        did: string;
        schemaId: string;
        schemaTxnHash: any;
        resourceTxnHash: any;
        tnxSchemaId?: undefined;
        schemaTxhash?: undefined;
        schemaState?: undefined;
    } | {
        tnxSchemaId: string;
        schemaTxhash: string;
        schemaState: {
            state: string;
            reason: string;
        };
        did?: undefined;
        schemaId?: undefined;
        schemaTxnHash?: undefined;
        resourceTxnHash?: undefined;
    }>;
    getSchemaById(did: string, schemaId: string): Promise<any>;
    estimateFeeForDidOperation(options: DidOperationOptions): Promise<import("@ayanworks/polygon-did-registrar/build/registrar").EstimatedTxDetails | null | undefined>;
    estimateFeeForSchemaOperation(options: CreateSchemaOperationOptions): Promise<{} | undefined>;
}
