"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PolygonApi = void 0;
const core_1 = require("@credo-ts/core");
const ledger_1 = require("./ledger");
let PolygonApi = class PolygonApi {
    constructor(agentContext, ledgerService) {
        this.agentContext = agentContext;
        this.ledgerService = ledgerService;
    }
    async createSchema({ did, schemaName, schema }) {
        const schemaDetails = await this.ledgerService.createSchema(this.agentContext, { did, schemaName, schema });
        return schemaDetails;
    }
    async getSchemaById(did, schemaId) {
        const schemaDetails = await this.ledgerService.getSchemaByDidAndSchemaId(this.agentContext, did, schemaId);
        return schemaDetails;
    }
    async estimateFeeForDidOperation(options) {
        const estimatedFee = await this.ledgerService.estimateFeeForDidOperation(this.agentContext, options);
        return estimatedFee;
    }
    async estimateFeeForSchemaOperation(options) {
        const estimatedFee = await this.ledgerService.estimateFeeForSchemaOperation(this.agentContext, options);
        return estimatedFee;
    }
};
PolygonApi = __decorate([
    (0, core_1.injectable)(),
    __metadata("design:paramtypes", [core_1.AgentContext, ledger_1.PolygonLedgerService])
], PolygonApi);
exports.PolygonApi = PolygonApi;
//# sourceMappingURL=PolygonApi.js.map